body {
	.single-product {
		color: #000;
	}

	.woocommerce {
		span.onsale {
			padding: 6px 12px;
			min-height: unset;
			min-width: unset;
			top: 58px;
			left: 10px;
			line-height: 1.5;
			border-radius: 20px
		}

		.single-product__content {

			/* single product mobile tabs */
			.single-product-mob__tabs {
				.single-product__tabs {
					ul.tabs {
						li:not(.active) {
							padding: 6px 14px;
							text-align: center;
							border: 1px solid #0a0a0a;
							border-radius: 24px;
							background-color: #242424;

							a {
								height: unset;
								color: #fff;
							}
						}
					}
				}
			}

			.single-product__left {
				top: 10px;
				position: sticky;

				.woocommerce-product-gallery {
					position: relative;
					overflow-x: hidden;

					.woocommerce-product-gallery__nav {
						display: flex;
						margin-top: 16px;
						gap: 10px;
					}

					.flex-control-nav {
						margin: 0;
						padding: 0 0 10px;
						width: 50%;
						display: flex;
						gap: 10px;
						justify-content: flex-start;
						flex-wrap: nowrap;
						overflow-x: scroll;

						li {
							width: 66px;
							height: 66px;
							flex: 0 0 auto;
						}
					}

					.product-profile-wrapper {
						width: 50%;
						opacity: 0;

						.product-profile-img {
							max-width: 100%;
							height: auto;
							object-fit: contain;
						}
					}

					.flex-direction-nav {
						position: absolute;
						padding: 0;
						margin: 0;
						top: 50%;
						left: 0;
						right: 0;
						list-style: none;
					}

					.flex-nav-prev,
					.flex-nav-next {
						z-index: 10;
						position: absolute;
						top: calc(50% - 62px);
						width: 26px;
						height: 62px;
						background-color: rgb(0,0,0,0.1);
						background-repeat: no-repeat;
						background-position: 50%;
						transition: all 0.3s ease;

						&:hover {
							background-color: rgb(0,0,0,0.4);
						}

						a {
							position: absolute;
							display: block;
							top: 0;
							left: 0;
							width: 100%;
							height: 100%;
							font-size: 0;
						}
					}

					.flex-nav-prev {
						left: 10px;
						background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAdCAYAAAB8I5agAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAOdEVYdFNvZnR3YXJlAEZpZ21hnrGWYwAAAIlJREFUeAHt0mENgCAQBWAiEIEINtAm2EAbGIEIRDACEYxABCOcMN8mc9N7//Vt98PtuzeGGPMSEXFlUhlvtBQU5cyqQSdXHNsaNTgCZqY1A090qwZd0+o1/OGrAt6oVuCZbr6deWHwALyXscxCwkJgcPsHO2YhACcGW5y7ZmAW/qt8whavsq/fB3bDYiWbKVt5AAAAAElFTkSuQmCC");
					}

					.flex-nav-next {
						right: 10px;
						background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAdCAYAAAB8I5agAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAOdEVYdFNvZnR3YXJlAEZpZ21hnrGWYwAAAIdJREFUeAHtkFENgDAQQycBCUhAwpyAA3CABCQgAQmTMAmTMAnHLXTwQ3LdNzTp32tzVyciXh3VnbOkUJBLGwP38mhgAhvgwMCdOiPgmcACODlGBURgZWAPOP9TvgRSy5Qz4NjSPFvgRN2MrWvraME7wINprerZ1t0C76eY1g9PBbg8FsxW1QntVGImwkdAhAAAAABJRU5ErkJggg==");
					}
				}
			}

			.single-product__right {
				div.summary {
					display: flex;
					flex-direction: column;
					gap: 20px;
				}

				.product_title {
					font-weight: 700;
				}

				.single-product__info {
					margin: 0;
				}

				.single-product__price {
					.woocommerce-Price-amount {
						font-weight: 700;
					}

					.price {
						padding: 0;

						del .woocommerce-Price-amount {
							font-size: 14px;
							font-weight: 400;
							text-decoration: line-through;
						}
					}

					.product-uom {
						font-weight: 700;
						color: #000;
					}
				}

				.single-product__payment-shipping {
					margin-bottom: 16px;

					.single-product__payment-shipping__items {
						ul {
							padding: 0;

							li {
								img {
									width: 25px !important;
									height: 25px !important;
								}
							}
						}

						p {
							padding: 0;
						}
					}
				}

				.single-product__contacts {
					.single-product__contacts-info {
						margin: 0;
						padding: 0;

						p {
							padding: 0;
						}
					}

					ul {
						display: flex;
						gap: 8px;

						li {
							position: relative;
							line-height: 1;

							&:not(:last-child) {
								padding-right: 8px;

								&:after {
									position: absolute;
									top: 0;
									right: 0;
									width: 1px;
									height: 100%;
									content: '';
									background-color: #C9C9C9;
								}
							}
						}
					}
				}

				.button__call {
					padding: 10px 32px;
					font-weight: 400;
				}

				.single-product__buttons {
					margin-bottom: 20px;
					display: flex;
					gap: 12px;

					.button__cart button {
						display: flex !important;
						width: auto !important;
						height: 42px !important;
						margin-left: 0 !important;
						padding: 10px 32px;
						gap: 8px;
						justify-content: center;
						align-items: center;
						font-size: 14px;
						font-weight: 400;
						text-align: center;
						background-image: none !important;
						border: 1px solid #757575;

						&:hover {
							background-color: #c4c4c4 !important;
							background-image: none !important;
							border: 1px solid #757575;
						}

						i {
							font-size: 16px;
						}
					}
				}
			}
		}
	}

	/*  */
	.product-attr-title {
		padding: 0;
		margin: 0;
		color: #000;
		font-size: 20px;
		font-weight: 600;
		line-height: 1;
	}

	/* product attributes styles */
	.product-attrs {
		.product-attrs__list {
			padding: 14px 0;
			margin: 0;
			list-style: none;
		}

		.product-attrs__item {
			display: flex;
			gap: 15px;
			flex-wrap: nowrap;
			font-size: 14px;
			align-items: center;
			line-height: 1.78;

			.attr-name {
				flex: 0 0 80px;
			}

			.attr-spacer {
				position: relative;
				flex: 1 0 auto;

				&:after {
					position: absolute;
					top: 50%;
					width: 100%;
					height: 1px;
					content: '';
					background-color: #C9C9C9;
				}
			}

			.attr-value {
				min-width: 104px;
				flex: 0 0 auto;
				font-weight: 600;
			}
		}
	}

	/* advantages block styles */
	.advantages-block {
		padding: 16px;
		background-color: #f9f9f9;

		.advantages__title {
			margin-bottom: 20px;
			line-height: 1;
		}

		.advantages__list {
			display: flex;
			margin: 0 -20px -15px 0;
			flex-wrap: wrap;
		}

		.advantages__item {
			display: flex;
			padding: 0 20px 15px 0;
			width: 50%;
			gap: 15px;
			align-items: center;
		}

		.advantages__text {
			font-size: 14px;
			font-weight: 600;
			line-height: 1.125;
		}

		.advantages__icon-holder {
			display: inline-flex;
			width: 35px;
			height: 35px;
			flex: 0 0 auto;
			justify-content: center;
			align-items: center;
			background-color: #fff;
			border-radius: 50%;
		}

		.advantages__icon {
			width: 18px !important;
		}
	}

	/* accordion styles */
	.accordion {
		padding: 0;
		margin:  0;
		list-style: none;

		.accordion__item {
			&.is-active {
				.accordion__title {
					box-shadow: none;
				}

				.accordion__icon:after {
					background-color: #C2B59B;
					transform: rotate(0);
				}
			}
		}

		.accordion__title {
			display: flex;
			margin: 0;
			padding: 0 0 10px;
			justify-content: space-between;
			align-items: center;
			gap: 14px;
			cursor: pointer;
			line-height: 1.7;
			text-transform: none;
			box-shadow: 0 1px 0 0 #eaeaea;

			.accordion__icon {
				position: relative;
				display: block;
				width: 14px;
				height: 14px;

				&:before,
				&:after {
					--height: 2px;

					top: calc(50% - var(--height));
					left: 0;
					position: absolute;
					width: 100%;
					height: var(--height);
					content: '';
					background-color: #00DE16;
					transition: all 0.4s ease;
				}

				&:after {
					transform: rotate(90deg);
				}
			}
		}

		.accordion__content {
			max-height: 0;
			font-size: 12px;
			line-height: 1.66;
			overflow: hidden;
			transition: max-height 0.35s ease;

			.accordion__content-inner {
				padding: 8px 0 12px;
				font-size: 12px;

				p {
					padding: 0;
					font-size: inherit;
					line-height: inherit;

					strong {
						font-size: 14px;
						line-height: 2.08;
					}
				}

				ul {
					padding: 0 0 0 24px;

					li {
						font-size: inherit;
						line-height: unset;
					}
				}
			}
		}
	}

	.apply-block {
		border-bottom: 1px solid #eaeaea;

		.apply__list {
			padding: 14px 0;
			list-style: none;
		}

		.apply__item {
			display: flex;
			gap: 10px;
			font-size: 14px;
			line-height: 1.78;
		}

		.apply__icon-holder {
			margin-top: 4px;
			width: 17px;
			height: 17px;
		}
	}
}

/* related products slider */
.section-related-products {
	padding: 0 0 40px;
}

.related-slider-wrapper {
	margin: 0 auto;
	width: 100%;
	max-width: 870px;
}

.related-slider {
	margin: 0 -16px;

	.related-slide {
		position: relative;
		padding: 0 16px;

		&:after {
			position: absolute;
			top: 0;
			right: 0;
			width: 1px;
			height: 100%;
			content: '';
			background-color: #EAEAEA;
		}
	}

	.related__cart-button {
		display: inline-flex !important;
		margin-left: 10px !important;
		width: 48px;
		height: 48px;
		flex: 0 0 auto;
		justify-content: center;
		align-items: center;
		font-size: 0 !important;
		background-color: #242424 !important;
		border: 1px solid #242424;

		&:hover {
			background-color: #c4c4c4 !important;
			background-image: none !important;
			border-color: #757575;
		}

		i {
			font-size: 20px;
			color: #fff;
		}
	}

	.slick-prev {
		left: -42px;
	}

	.slick-next {
		right: -42px;
	}

	.slick-prev,
	.slick-next {
		display: inline-flex;
		width: 40px;
		height: 40px;
		justify-content: center;
		align-items: center;
		border: 1px dashed #eaeaea;
		border-radius: 50%;
		transition: all 0.3s ease;

		&:before,
		&:after {
			display: none;
		}

		&:hover {
			background-color: #eaeaea;
		}
	}
}

.product-card {
	display: flex;
	padding-bottom: 4px;
	flex-direction: column;
	gap: 16px;

	.added_to_cart.wc-forward {
		padding: 0 !important;
		display: none !important;
	}

	.product-card__image {
		width: 100%;
		height: 190px;
		overflow: hidden;

		img {
			object-fit: cover;
		}
	}

	.product-card__title {
		margin: 0;
		padding: 0;
		font-size: 13px;
		font-weight: 600;

		a {
			display: -webkit-box;
			-webkit-line-clamp: 2;
			-webkit-box-orient: vertical;
			overflow: hidden;
			color: #000 !important;
		}
	}

	.product-card__price {
		display: flex;
		font-size: 20px;
		align-items: center;
		line-height: 1;

		.product-card__price-inner {
			display: flex;
			margin-right: auto;
			flex-wrap: wrap;
			align-items: center;
			color: #000;

			.woocommerce-Price-amount {
				padding-right: 6px;
				color: #242424;
				font-family: 'Montserrat', sans-serif;
			}

			del .woocommerce-Price-amount {
				flex: 1 0 100%;
				font-size: 12px;
				font-weight: 400;
				text-decoration: line-through;
			}

			.uom {
				padding: 2px 4px;
				color: #242424;
				font-size: 12px;
				font-weight: 500;
				background-color: #eaeaea;
				border-radius: 16px;
			}
		}
	}
}

body .related-slide .product-card__price .button__cart form .single_add_to_cart_button {
	display: flex !important;
	width: 48px !important;
	height: 48px !important;
	margin-left: 0 !important;
	padding: 4px;
	justify-content: center;
	align-items: center;
	font-size: 0 !important;
	font-weight: 400;
	text-align: center;
	background-image: none !important;
	border: 1px solid #757575;
	border-radius: 50%;
	background-color: black !important;

	&:hover {
		background-color: #c4c4c4 !important;
		background-image: none !important;
		border: 1px solid #757575;
	}

	i {
		font-size: 20px !important;
	}
}


/* responsive styles */
@media (max-width: 1200px) {
	body {
		.woocommerce {
			.single-product__content {
				.single-product__right {
					.single-product__buttons {
						justify-content: center;
					}

					.single-product__contacts {
						ul {
							flex-direction: row;
							justify-content: center;
						}
					}
				}
			}
		}
	}
}

@media (max-width: 1024px) {
	.woocommerce div.product p.price del,
	.woocommerce div.product span.price del {
		display: block;
	}

	body {
		overflow-x: hidden;
		.woocommerce {
			.single-product__content {
				.single-product__left {
					.woocommerce-product-gallery {
						.woocommerce-product-gallery__nav {
							flex-direction: column;
							gap: 16px;
						}

						.flex-control-nav {
							width: 100%;

							li {
								width: 48px;
								height: 48px;
							}
						}

						.product-profile-wrapper {
							width: 100%;
						}
					}
				}
				.single-product__right {
					.single-product__price {
						.price {
							line-height: 1;

							del {
								display: block;
							}
						}
					}
				}
			}
		}
	}
}
@media (max-width: 1023px) {
	body {
		.woocommerce {
			.single-product__content {
				display: block;

				.single-product__left {
					position: static;

					.single-product-reviews__info {
						row-gap: 20px;
						align-items: center;
						grid-template-columns: repeat(2, 1fr);

						.single-product-reviews__rating {
							border: none;
						}

						.single-product-reviews__button {
							grid-column: 1 / span 2;
						}
					}
				}
			}
		}
	}

	.woocommerce .bl-modal-body #respond #commentform .form-submit {
		grid-template-columns: 1fr;
	}

	.section-cases__wrapper {
		display: block;
	}
}

@media (max-width: 768px) {
	body {
		.woocommerce {
			#tab-reviews {
				display: none;
			}

			.single-product__content {
				grid-template-columns: 1fr;

				.single-product__left {
					position: static;
				}

				.single-product__right {
					.button__call {
						padding: 10px 22px;
					}

					.single-product__buttons {
						.button__cart button {
							padding: 10px 8px;
						}
					}

					.single-product__contacts ul li a {
						font-size: 12px;
					}
				}
			}
		}
	}
}